Skip to main content
GET
/
monitors
/
runs
List runs global
curl --request GET \
  --url https://api.trymaitai.ai/api/v1/monitors/runs \
  --header 'X-Maitai-Api-Key: <api-key>'
{
  "data": [
    {
      "id": 70123,
      "monitor_id": 501,
      "monitor_target_id": 9002,
      "monitor_version_id": 12,
      "source_type": "workflow",
      "source_type_id": "session_abc123",
      "runner_type": "direct",
      "outcome": "error",
      "runner_duration_ms": 14,
      "date_created": 1737549900000
    }
  ],
  "pagination": {
    "total": 1820,
    "offset": 0,
    "limit": 25
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.trymaitai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Query Parameters

monitor_id
integer
offset
integer
default:0

Number of items to skip.

Required range: x >= 0
limit
integer
default:25

Maximum number of items to return.

Required range: 1 <= x <= 100

Response

200 - application/json

Paginated results.

data
any[]
pagination
object